Package org.apache.sling.api

# Class SlingIOException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.sling.api.SlingException
org.apache.sling.api.SlingIOException

All Implemented Interfaces:
  `Serializable`

public class SlingIOException extends SlingException
The `SlingIOException` is a runtime exception wrapper for the Java `IOException`. This exception is used to catch an `IOException` and forward it as a runtime exception to be handled at the outermost level.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SlingIOException(IOException cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SlingIOException

public SlingIOException(IOException cause)